@charset "utf-8";

.loading{
  width: 100vw;
  height: 100vh;
  background-color: #000;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 200;
}

.loading img{
  width: 100px;
}
	
body{
  position: relative;
  background:#000;
  cursor: none; /*もともとあるカーソルは非表示に*/
  height:100vh;

}

.flame01 {
border: 0.1px solid #fff;
margin: 0em auto;
padding: 0em;
width: 180px;
border-radius: 30px;
font-size: 12px;
text-align: center;
}

.flame02 {
border: 0.1px solid #fff;
margin: 0.5em auto;
padding: 0.5em;
width: 50px;
border-radius: 5px;
font-size: 16px;
text-align: center;
}

.flame03 {
margin: 0.5em auto;
padding: 0.5em;
width: 30px;
border-radius: 5px;
    font-size: 20px;
        text-align: center;
}

.flamematome {

margin: 0.5em auto;
padding: 0.5em;
width: 95%;

        text-align: center;
}


/* 基本のスタイル */
   .foo.delighter {
      transition: all .3s ease-out;
      transform: translateX(-10%);
      opacity: 0;
   }
 
/* スタート時のスタイル */
   .foo.delighter.started {
      transform: none;
      opacity: 1;
   }
 
/* エンド時のスタイル */

   }


a{
  display:inline-block;
  margin:40px;
}

/*カーソル要素*/
#cursor{
  position: fixed;

  /*丸の大きさと色の指定*/
  outline: 2px solid #fff;
  border-radius:10px;
  width: 20px;
  height: 20px;
  margin: -10px 0 0 -10px;/*真ん中にくるようにマイナスマージンで調整*/

  z-index: 2;/*一番手前に来るように*/
  pointer-events: none;/*クリックできなくなるのを防ぐため。noneで対応*/
  opacity: 0;
  transition: transform 0.1s;/*アニメーションの秒数指定*/
}

/*ちょっと遅れてついてくるストーカー要素*/
#stalker{
  position: fixed;
  /*丸の大きさと色の指定*/
  outline: 1px solid #fff;
  width: 60px;
  height: 60px;
  border-radius:30px;
  margin: -30px 0 0 -30px;/*真ん中にくるようにマイナスマージンで調整*/
  z-index: 10;/*カーソルの後ろに来るように*/
  pointer-events: none;/*クリックできなくなるのを防ぐため。noneで対応*/
  opacity: 0;
  transition: transform 0.5s;/*アニメーションの秒数指定*/
}

#cursor.active,
#stalker.active{
  transform: scale(1.4);
}


/*========= 背景動画設定のCSS ===============*/

/*header設定*/
#header{
    position: relative;/*h1の中央寄せ配置の起点とするためのrelative*/
    height: 100vh;/*高さを全画面にあわせる*/

} 

#header a {
  z-index: 10;
  font-size: 10pt;
  color: #fff;
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
    letter-spacing: 1px; }

#header a::after {
  position: absolute;
  bottom: -1px;
  left: 0;
  content: '';
  width: 100%;
  height: 2px;
  background: #fff;
  -webkit-transform: scale(0, 1);
          transform: scale(0, 1);
  -webkit-transform-origin: left top;
          transform-origin: left top;
  -webkit-transition: -webkit-transform .3s;
  transition: -webkit-transform .3s;
  transition: transform .3s;
  transition: transform .3s, -webkit-transform .3s; }

#header a:hover::after {
  -webkit-transform: scale(1, 1);
          transform: scale(1, 1); }
p {
  font-size: 8pt;
  line-height: 20px;
  }  
p2{
  font-size: 7pt;
  color: #fff;
font-family: 'Michroma', sans-serif;
  letter-spacing: 3px;
}


/*LOGO*/
h1{
    /*要素の配置*/
    position:absolute;
    /*要素を天地中央寄せ*/
    top: 40%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
}

h2{
  font-size: 35pt;
  font-family: 'Montserrat', sans-serif;
  color: #000;
  letter-spacing: 5px;
  text-shadow:0.5px 0.5px 0 #FFF, -0.5px -0.5px 0 #FFF,
              -0.5px 0.5px 0 #FFF, 0.5px -0.5px 0 #FFF,
              0px 0.5px 0 #FFF,  0-0.5px 0 #FFF,
              -0.5px 0 0 #FFF, 0.5px 0 0 #FFF;
}

h3{
  font-size: 18pt;
  font-family: 'Montserrat', sans-serif;
  letter-spacing: 2px;
  color: #ffffff;/*文字色*/
}


h4{
  font-size: 14pt;
  font-family: 'Montserrat', sans-serif;
  letter-spacing: 1px;
  color: #ffffff;/*文字色*/    
}

h5{
  font-size: 15pt;
  line-height: 0px;
}

.wakutop
{   padding: 2em 2em;
    margin: 2em 0;
    border: solid 1px #fff;/*線*/
    border-radius: 10px;/*角の丸み*/
}
.wakutop
{   padding: 2em 2em;
    margin: 2em 0;
    border: solid 1px #fff;/*線*/
    border-radius: 10px;/*角の丸み*/
}

.about2
{   position: relative;
    width: 70%;
    left: 8%;
    text-align: left;
    padding: 2em 2em;
    margin: 2em 0;
    font-weight: bold;
    color: #fff;/*文字色*/
    border: solid 1px #fff;/*線*/
    border-radius: 10px;/*角の丸み*/

  letter-spacing: 1px;
}

.about3
{   position: relative;
    width: 90%;
    left: 2%;
    text-align: left;
    padding: 1em 1em;
    margin: 1em 0;
    font-weight: bold;
    color: #fff;/*文字色*/
    border: solid 1px #fff;/*線*/
    border-radius: 10px;/*角の丸み*/
    font-size: 9pt;
  font-weight: 100;
  letter-spacing: 1px;
}


img.logo {
width: 130pt;
height: auto;
}
img.logo2 {
width: 100pt;
height: auto;
}


#video-area{
    position: fixed;
    z-index: -5;/*最背面に設定*/
    top: 0;
    right:0;
    left:0;
    bottom:0;
    overflow: hidden;
}

#video {
    /*天地中央配置*/
    position: absolute;
    z-index: -5;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /*縦横幅指定*/
    min-height: 100%;
    min-width: 100%;
}


p3{
  font-size: 9pt;
 color: #00ff00;
 text-shadow: 0 0 3px #00ff00,0 0 6px #00ff00;
 padding: 50px;
 font-family: 'Aldrich', sans-serif;
  letter-spacing: 1px;

  word-break : break-all;
}

.TextTyping {
  text-align: center;
}

/*========= タイピング ===============*/

.TextTyping span {
  display: none;
}

/*文字列後ろの線の設定*/
.TextTyping::after {
  content: "|";
  animation: typinganime .8s ease infinite;
}

@keyframes typinganime{
  from{opacity:0}
  to{opacity:1}
}


/*========= レイアウトのためのCSS ===============*/

#container{
  background:rgba(0,0,0,0.9);
  padding:50px 0px;
  text-align: center;
  color: #fff;
  font-family: 'Montserrat', sans-serif;
  letter-spacing: 2px;
}

#container a {
  z-index: 10;
  font-size: 10pt;
  color: #fff;
font-family: 'Aldrich', sans-serif;
  font-weight: 400;
  letter-spacing: 1px; }


#container2{
  position: absolute;
  top: 0%;
  background:rgba(0,0,0,0.9);
  padding:50px 50px;
  text-align: left;
  color: #fff;
font-family: 'Aldrich', sans-serif;
  letter-spacing: 2px;
  z-index: 0;

}

#container2 a {

  font-size: 10pt;
  color: #fff;
font-family: 'Aldrich', sans-serif;
  font-weight: 400;
  letter-spacing: 1px; }


#container3{
  position: absolute;
  top: 0%;
    width: 100%;
  background:rgba(0,0,0,0.9);
  padding:0px 0px;
  text-align: center;
  color: #fff;
font-family: 'Michroma', sans-serif;
  letter-spacing: 2px;
  z-index: 0;

}

#container3 a {

  color:inherit;
  text-decoration: none;
}


div.vid_contents {
text-align: center;
margin: auto;
}
video.vid_main {
width: 100%;
max-width: 700px;/*PC版での最大幅*/
}

.video_wrapper {
    position: relative;
}
.video_wrapper:not(.js_active)::before {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    background-color: rgba(0, 0, 0, 0.5);
    content: "";
}
.video_wrapper:not(.js_active)::after {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    width: 60px;
    height: 60px;
    background-image: url(./loading.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    content: "";
}

.video_wrapper > video {
    width: 100%;
}


.icon {
mix-blend-mode: screen;
}


p {
  margin: 0 0 5px;

}

ul {
display: flex;
}

.footer{
position: relative;
margin: 0 auto;
}

.ya{
position: relative;
z-index:50;
}

.bit{
position: relative;
z-index:51;
}

.nfqmigi{
position: relative;
z-index:20;
}
.nfqmigi a {
  z-index: 10;
  font-size: 9pt;
  color: #ADFF2F;
font-family: 'Michroma', sans-serif;
  font-weight: 400;
  letter-spacing: 1px; }

.nfqmigi a::after {
  position: absolute;
  bottom: -1px;
  left: 0;
  content: '';
  width: 100%;
  height: 2px;
  background: #ADFF2F;
  -webkit-transform: scale(0, 1);
          transform: scale(0, 1);
  -webkit-transform-origin: left top;
          transform-origin: left top;
  -webkit-transition: -webkit-transform .3s;
  transition: -webkit-transform .3s;
  transition: transform .3s;
  transition: transform .3s, -webkit-transform .3s; }

.nfqmigi a:hover::after {
  -webkit-transform: scale(1, 1);
          transform: scale(1, 1); }

.flex{
 max-width: 80%;
 margin: 0 auto;
 text-align: left;
 font-size: 8pt;
}
.flex2{
 max-width: 100%;
 margin: 0 auto;
 text-align: left;
 font-size: 8pt;
}

img{
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

.vvv{
  width: 100%;
}

@media screen and (min-width:800px) {
  .flex{

    max-width: 60%;

    display:flex;
    flex-wrap:nowrap;
    justify-content:space-between;

  }
    
.about2
{
    padding: 2em 4em;
    text-align: left;
    width: 50%;
    left: 22%;

} 
    
   
.about3
{  
    padding: 4em 4em;
    width: 60%;
    left: 18%;

}
.flex2{
 max-width: 100%;
    display:flex;
    flex-wrap:nowrap;
    justify-content:space-between;
    text-align: left;
}
    
  .item+.item2{
    margin-left:3.0em;
  }
 .item2{
 width:80%;
} 
 .item{
 width:80%;
}    

p3{
  font-size: 6pt;

}
    
#container2{
  padding:50px 250px;
  text-align: left;

}
    #container3{
}
}
